summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Gethyn ThomasQuail2015-08-09 04:04:05 +0200
committer Willy Sudiarto Raharjo2015-08-09 18:03:38 +0200
commit80bd8b4c83e0360b1774aa7ec406f9ba340f66f6 (patch)
tree2eafef941bfe11f58f7f10e63d5dba0b5c72e624 /academic
parent6f62782ee27abe89791b76863138f07b82ad1170 (diff)
downloadslackbuilds-80bd8b4c83e0360b1774aa7ec406f9ba340f66f6.tar.gz
academic/wmcalc: Added (Calculator DockApp).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/wmcalc/README9
-rw-r--r--academic/wmcalc/slack-desc19
-rw-r--r--academic/wmcalc/wmcalc.SlackBuild100
-rw-r--r--academic/wmcalc/wmcalc.info10
4 files changed, 138 insertions, 0 deletions
diff --git a/academic/wmcalc/README b/academic/wmcalc/README
new file mode 100644
index 0000000000..99cffddb44
--- /dev/null
+++ b/academic/wmcalc/README
@@ -0,0 +1,9 @@
+wmcalc is a program designed to act as a simple four-function calculator. It is different from other
+calculator programs, however in that it is designed to take up very little desktop space. As such, it
+can be left running on the desktop at all times.
+
+Note: The coding of this DockApp seems incredibly unorganized and there are several xpm's that are
+almost the same thing. It also seems that for whatever reason the author uses a xpm with the default
+WM backdrop, meaning it wont fit in with themed desktops. I may have a patch in the future that fixes
+this and also make it use "wmcalc1.xpm". For now, enjoy it for what it is, a simple WindowMaker
+calculator.
diff --git a/academic/wmcalc/slack-desc b/academic/wmcalc/slack-desc
new file mode 100644
index 0000000000..5c251ebe82
--- /dev/null
+++ b/academic/wmcalc/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler--------------------------------------------------------|
+wmcalc: wmcalc (Calculator DockApp)
+wmcalc:
+wmcalc: wmcalc is a program designed to act as a simple four-function
+wmcalc: calculator. It is different from other calculator programs, however
+wmcalc: in that it is designed to take up very little desktop space. As such,
+wmcalc: it can be left running on the desktop at all times.
+wmcalc:
+wmcalc: Homepage: http://windowmaker.org/dockapps/?name=wmcalc
+wmcalc:
+wmcalc:
+wmcalc:
diff --git a/academic/wmcalc/wmcalc.SlackBuild b/academic/wmcalc/wmcalc.SlackBuild
new file mode 100644
index 0000000000..f8e9169fd6
--- /dev/null
+++ b/academic/wmcalc/wmcalc.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for wmcalc
+#
+# Copyright 2015 Gethyn ThomasQuail <gethyn@bloodbathsoftworks.com>
+# All rights reserved.
+#
+# Based on:
+# SBo's cmake-template
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=wmcalc
+VERSION=${VERSION:-0.5}
+ARCHIVEFIX=dockapps-c2f0ad2 # This is because the archive is named incorrectly.
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $ARCHIVEFIX
+tar xvf $CWD/$ARCHIVEFIX.tar.gz
+cd $ARCHIVEFIX
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Let's compile!
+make
+make install DESTDIR=$PKG
+
+# Create bin directory and move executable there
+mkdir -p $PKG/usr/bin
+mv $PKG/usr/local/bin/wmcalc $PKG/usr/bin
+
+# Creates man page directory
+mkdir -p $PKG/usr/man/man1
+
+# Compresses man page and moves it into place
+gzip -9 $PKG/usr/local/share/man/man1/wmcalc.1
+mv $PKG/usr/local/share/man/man1/wmcalc.1.gz $PKG/usr/man/man1
+rm -rf $PKG/usr/local
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING wmcalc.conf README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/wmcalc/wmcalc.info b/academic/wmcalc/wmcalc.info
new file mode 100644
index 0000000000..56597f08ff
--- /dev/null
+++ b/academic/wmcalc/wmcalc.info
@@ -0,0 +1,10 @@
+PRGNAM="wmcalc"
+VERSION="0.5"
+HOMEPAGE="http://windowmaker.org/dockapps/?name=wmcalc"
+DOWNLOAD="http://repo.or.cz/w/dockapps.git/snapshot/c2f0ad2882b89c5c33dfb8331c1f05ca284e7c36.tar.gz"
+MD5SUM="2d5fdf5811590159cfb7873610a3ff56"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Gethyn ThomasQuail"
+EMAIL="gethyn@bloodbathsoftworks.com"